Berkeley DB version 4.7.25

## com.sleepycat.bind
Interface EntryBinding

All Known Implementing Classes:
  BigIntegerBinding, BooleanBinding, ByteArrayBinding, ByteBinding, CharacterBinding, DoubleBinding, FloatBinding, IntegerBinding, LongBinding, RecordNumberBinding, SerialBinding, ShortBinding, SortedDoubleBinding, SortedFloatBinding, StringBinding, TupleBinding, TupleInputBinding, TupleMarshalledBinding

    public interface EntryBinding

A binding between a key or data entry and a key or data object.

WARNING: Binding instances are typically shared by multiple threads and binding methods are called without any special synchronization. Therefore, bindings must be thread safe. In general no shared state should be used and any caching of computed values must be done with proper synchronization.

Method Summary
`Object` `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` `objectToEntry(Object object, DatabaseEntry entry)` Converts an Object into a entry buffer.

Method Detail

### entryToObject

    Object entryToObject(DatabaseEntry entry)

  Converts a entry buffer into an Object.

  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting Object.

### objectToEntry

    void objectToEntry(Object object,
                       DatabaseEntry entry)

  Converts an Object into a entry buffer.

  Parameters:
    `object` - is the source Object.
    `entry` - is the destination entry buffer.

Berkeley DB version 4.7.25

Copyright (c) 1996,2008 Oracle. All rights reserved.